############################################################################
# function  : main program, making robot studio setup package.
# parameter :
# return    :
#         0 : success
#     other : failure
############################################################################

package_root_path=$(cd "$(dirname "$0")";pwd)
target_path=$(cd "$(dirname "$0")/../";pwd)

version="V4.5.35"
time="$(date "+%Y-%m-%d_%Hh%Mm")"

#I3
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I3.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 4" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I3_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#I3S
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I3S.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 4" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I3S_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#I5RS
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I5RS.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 0" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I5RS_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#I5S
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I5S.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 0" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I5S_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#I5H
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I5H.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 0" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I5H_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#I5L
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I5.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 6" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I5L_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#I10
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I7_I10_I16.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 2" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I10_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#I10S
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I10S.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 2" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I10S_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#I10B
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I10B.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 7" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I10B_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#I16
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I7_I10_I16.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 8" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I16_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#I20
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I7_I10_I16.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 9" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I20_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#I5
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I5.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 0" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I5_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#删除临时文件
rm -rf "$package_root_path/Scripts/upgrade/configFile/temp"

exit 0
