############################################################################
# function  : main program, making robot studio setup package.
# parameter :
# return    :
#         0 : success
#     other : failure
############################################################################

package_root_path=$(cd "$(dirname "$0")";pwd)
target_path=$(cd "$(dirname "$0")/../";pwd)

version="V4.5.35"
time="$(date "+%Y-%m-%d_%Hh%Mm")"

#I5
cd "$package_root_path/Scripts/upgrade/configFile"
sed -n 8,35p aubope_system_I5.conf > temp
sed -i '8,35d' aubope_system.conf
sed -i '7r temp' aubope_system.conf
cd -

cd "$package_root_path/AuboRobotWorkSpace/RobotServer/bin/config"
sed -i '$d' auborobot.conf
echo "robot_type = 0" >> auborobot.conf
cd -

cd "$target_path"
tar -zcf "AuboProgramUpdate_${version}_I5_${time}.tar.gz.aubo" "AuboProgramUpdate"
cd -

#删除临时文件
rm -rf "$package_root_path/Scripts/upgrade/configFile/temp"

exit 0
